﻿@{
    Layout = "~/Views/Account/_Layout.cshtml";
    ViewBag.Title = LanguageManager.GetString("StrLoginTitle");
}

@section css_script{
    <style>
        html,
        body {
            height: 100%;
        }

        body {
            display: -ms-flexbox;
            display: flex;
            -ms-flex-align: center;
            align-items: center;
            padding-top: 40px;
            padding-bottom: 40px;
            background-color: #f5f5f5;
        }

        .form-signin {
            width: 100%;
            max-width: 420px;
            margin: auto;
        }

        .form-label-group {
            position: relative;
            margin-bottom: 1rem;
        }

        .form-label-group > input,
        .form-label-group > label {
            height: 3.125rem;
            padding: .75rem;
        }

        .form-label-group > label {
            position: absolute;
            top: 0;
            left: 0;
            display: block;
            width: 100%;
            margin-bottom: 0; /* Override default `<label>` margin */
            line-height: 1.5;
            color: #495057;
            pointer-events: none;
            cursor: text; /* Match the input under the label */
            border: 1px solid transparent;
            border-radius: .25rem;
            transition: all .1s ease-in-out;
        }

        .form-label-group input::-webkit-input-placeholder {
            color: transparent;
        }

        .form-label-group input:-ms-input-placeholder {
            color: transparent;
        }

        .form-label-group input::-ms-input-placeholder {
            color: transparent;
        }

        .form-label-group input::-moz-placeholder {
            color: transparent;
        }

        .form-label-group input::placeholder {
            color: transparent;
        }

        .form-label-group input:not(:placeholder-shown) {
            padding-top: 1.25rem;
            padding-bottom: .25rem;
        }

        .form-label-group input:not(:placeholder-shown) ~ label {
            padding-top: .25rem;
            padding-bottom: .25rem;
            font-size: 12px;
            color: #777;
        }

        /* Fallback for Edge
        -------------------------------------------------- */
        @@supports (-ms-ime-align: auto) {
            .form-label-group > label {
                display: none;
            }

            .form-label-group input::-ms-input-placeholder {
                color: #777;
            }
        }

        /* Fallback for IE
        -------------------------------------------------- */
        @@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
            .form-label-group > label {
                display: none;
            }

            .form-label-group input:-ms-input-placeholder {
                color: #777;
            }
        }   
    </style>
}

@using WcoSiteNet.Language
@using WcoSiteNet.Models

<!-- ########## START: MAIN PANEL ########## -->
@using (Html.BeginForm("DoLogin", "Account", FormMethod.Post, new { @class = "form-signin" }))
{
    @Html.AntiForgeryToken()
    <div class="text-center mb-4">
        <img class="mb-4" src="@Href("~/Images/logo.png")" alt="" width="240">
        <h1 class="h3 mb-3 font-weight-normal">Painel de Controle</h1>
        <p>
            Para iniciar uma sessão e ver as informações de seus personagens todas centralizadas,
            por favor, entre com seu <code>Endereço de e-mail</code> e <code>Senha</code>.
        </p>
    </div>
    if (!string.IsNullOrEmpty(TempData["Error"]?.ToString()))
    {
        <div class="alert alert-danger alert-bordered pd-y-20" role="alert">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            <div class="d-flex align-items-center justify-content-start">
                <i class="icon ion-ios-close alert-icon tx-52 tx-danger mg-r-20"></i>
                <div>
                    <h5 class="mg-b-2 tx-danger">Oops!</h5>
                    <p class="mg-b-0 tx-gray">@TempData["Error"].ToString()</p>
                </div>
            </div><!-- d-flex -->
        </div>
        <!-- alert -->
    }
    <div class="form-label-group">
        <input type="email" id="Username" name="Username" class="form-control" placeholder="Email address" required autofocus>
        <label for="Username">@(Language.StrLoginUsername)</label>
    </div>
    <div class="form-label-group">
        <input type="password" id="inputPassword" name="Password" class="form-control" placeholder="Password" required>
        <label for="inputPassword">@(Language.StrLoginPassword)</label>
    </div>
    <button class="btn btn-primary btn-block" type="submit">@(Language.StrLoginBtnSubmit)</button>
    <p>Não tem uma conta? @Html.ActionLink("Registre-se", "Register", "Account", new { }, new { @class = "btn btn-link" })</p>
    <p><small>Versão: <b>@Kernel.Version</b></small></p>
}